blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
bf9fe28c18f2b29aa48eec175bbb0abb08a954f7 | Shell | liushuchun/docker-clean | /docker-clean.sh | UTF-8 | 1,424 | 2.5625 | 3 | [] | no_license | # stop docker
sudo ps aux | grep -i docker | grep -v grep | awk '{print $2}' | while read line; do
sudo kill -9 "$line";
done
# brew
brew uninstall --force docker
brew cask uninstall --force docker
brew cleanup
# system folders
sudo rm -r /var/lib/docker
sudo rm -r /private/var/lib/docker
sudo rm -r /private/var/ru... | true |
c993eeaaa9b99914a8bba3f12baaa51f8ffe4410 | Shell | PaddlePaddle/PaddleTest | /tools/test/test-tools/tool-test-dl-algorithm-convergence/ttf/run_tools15.sh | UTF-8 | 568 | 3.328125 | 3 | [] | no_license | model_name=${1:-"mnist"}
cards=${2:-"1"}
if [ $cards = "1" ];then
export CUDA_VISIBLE_DEVICES=0
elif [ $cards = "8" ];then
export CUDA_VISIBLE_DEVICES=0,1,2,3,4,5,6,7
else
echo -n "cards error"
exit -1
fi
if [ ${model_name} = "mnist" ];then
sh prepare.sh >log.prepare 2>&1
sh run_mnist.sh
... | true |
89f175fb55583fcab1aca85a13b9c9d8c7ff1f8f | Shell | sagittandy/bmir-archive-recorders | /studio-rpi-icecast/autossh/install.autossh.sh | UTF-8 | 1,286 | 3.90625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#-----------------------------------------------------------------------
# Installs autossh on RPI Raspbian Stretch Lite
#
# Usage:
# Run this script as root:
#
# sudo ./install.autossh.sh
#
# Reference:
# To uninstall completely, run as root:
#
# apt-get --purge -y remove autossh
#
# AD 2019-0407-2138 Co... | true |
051759286abd28e25be79d2816a00cfe4ba457e0 | Shell | lucascarvalho/dotfiles | /.bash_profile | UTF-8 | 3,121 | 3.109375 | 3 | [] | no_license | ########
# PATH #
########
export PATH="/usr/local/sbin":"/usr/local/bin":"`brew --prefix`/bin/ctags":"/usr/local/share/npm/bin":$PATH
##############
# VIRTUALENV #
##############
source /usr/local/bin/virtualenvwrapper.sh
#############
# FUNCTIONS #
#############
runmysql(){
MYSQL_DATA_DIR=ramdisk
mysql.serv... | true |
19b2d3a0ae8f0aa5d17d3f958536753f37862f89 | Shell | caleb531/dotfiles | /terminal/bash/exports.sh | UTF-8 | 5,394 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# exports.sh
# Caleb Evans
# Reset PATH to original value (if shell was reloaded)
if [ -n "$OLDPATH" ]; then
export PATH="$OLDPATH"
fi
export OLDPATH="$PATH"
# Re-read .nvmrc when reloading shell
export CURRENT_NODE_AUTO_SWITCH_PWD=
# Ensure installed packages are recognized and preferred
# Home... | true |
08db3d17317cc22f8a38f6cb783c9c585d205bde | Shell | justpayne/jburkardt-f77 | /toms470/toms470_prb.sh | UTF-8 | 504 | 3 | 3 | [] | no_license | #!/bin/bash
#
gfortran -c -g toms470_prb.f >& compiler.txt
if [ $? -ne 0 ]; then
echo "Errors compiling toms470_prb.f"
exit
fi
rm compiler.txt
#
gfortran toms470_prb.o -L$HOME/libf77/$ARCH -ltoms470
if [ $? -ne 0 ]; then
echo "Errors linking and loading toms470_prb.o"
exit
fi
rm toms470_prb.o
#
mv a.out toms470... | true |
13a9bfd1aaffb2186df2ff2dd2f79dc9c7c181d6 | Shell | tbs1-bo/ea_rpi_modul | /release.sh | UTF-8 | 361 | 2.703125 | 3 | [] | no_license | #!/bin/sh
echo Tests laufen lassen
python3 setup.py test
echo Unit Tests OK?
read
for f in eapi/*py;
do
python3 -m doctest $f
echo Doctests $f ok?
read
done
echo Release erstellen und hochladen
poetry build
poetry publish
#echo Dokumentation erstellen und hochladen
#doxygen
# TODO Move doc into repo
# python3 se... | true |
f2e24644dd66338b7a38020f9f2846d665ccf226 | Shell | jgwest/turtl-docker | /certbot-new/artifacts/create.sh | UTF-8 | 731 | 3.25 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
if [ -z "$1" ]; then
echo "Your email address needs to be specified as the first parameter."
exit
#else
# echo "Using $1 as your email address."
fi
if [ -z "$2" ]; then
echo "The second parameter needs to be a domain name without a subdomain (example: domain.com)"
exit
#els... | true |
47bc1e66a158a64181320f49c71c5d8ff5cffbe8 | Shell | m0ppers/deploysh | /deploy.sh | UTF-8 | 1,691 | 4.0625 | 4 | [] | no_license | #!/bin/sh
if [ $# -lt 2 ]; then
echo "Usage: $0 <release-tarball> <install-dir> [<predeploy arguments>, <postdeploy arguments>]"
exit 1
fi
TARBALL=$1
INSTALL_DIR=$2
PRE_DEPLOY_ARGS=$3
POST_DEPLOY_ARGS=$4
if [ ! -d "$INSTALL_DIR" ]; then
echo "$INSTALL_DIR must be a directory"
exit 2
fi
if [ ! -f "$T... | true |
e2fcfee368fa1c376beefeb6a87ffd6fb2bf71ca | Shell | epasham/elk | /elk-xpack/logstash/logstash-setup.sh | UTF-8 | 1,336 | 3.328125 | 3 | [] | no_license | #!/bin/bash
#logstash setup
#OS requirement: redhat 7
set -x
abs_path=$(cd `dirname $0`; pwd)
source $abs_path/../env.conf
#java env setup
$(java -version)
if [ $? -ne 0 ];then
echo "JDK setup" && sudo yum install java -y
fi
#logstash rpm install
rpm -qa | grep logstash-${ELK_VERSION}
[ $? -ne 0 ] && sudo rpm --... | true |
c14f7924318807fc36aa34e0b9c50ce0758988d7 | Shell | ppc64le/build-scripts | /c/crontab/crontab_ubi8.4.sh | UTF-8 | 1,394 | 3.296875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -e
# ----------------------------------------------------------------------------
#
# Package : crontab
# Version : 0.22.6
# Source repo : https://github.com/josiahcarlson/parse-crontab
# Tested on : UBI 8.4
# Language : Python
# Travis-Check : True
# Script License: Apache License, ... | true |
5187654de7247bdfc71ffac7de2eaca38b09b21f | Shell | OfficialYeti/rust-tcp | /trust/run.sh | UTF-8 | 310 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cargo b --release
ext=$?
echo $ext
if [[ $ext -ne 0 ]]; then
exit $ext
fi
sudo setcap cap_net_admin=eip ~/rust-tcp/trust/target/release/trust
~/rust-tcp/trust/target/release/trust &
pid=$!
sudo ip addr add 192.168.0.1/24 dev tun0
sudo ip link set up dev tun0
trap "kill $pid" INT TERM
wait $pid | true |
1f565dbf4b3f3055ad52f83d6dc04f4c429585f4 | Shell | holen-app/holen | /release.sh | UTF-8 | 1,634 | 3.734375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
if [[ ! $(type -P gox) ]]; then
echo "Error: gox not found."
echo "To fix: run 'go get github.com/mitchellh/gox', and/or add \$GOPATH/bin to \$PATH"
exit 1
fi
if [[ ! $(type -P github-release) ]]; then
echo "Error: github-release not found."
exit 1
fi
VER=$1
if [[ -z $VER ]];... | true |
5d3a4ae7b1a454b3c418490e67773b21596f0a77 | Shell | NapoleonWils0n/ffmpeg-scripts | /waveform | UTF-8 | 2,765 | 4.3125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
#===============================================================================
# waveform
# create a waveform from an audio or video file and save as a png
#===============================================================================
# dependencies:
# ffmpeg
#==========================================... | true |
bb6b6643abe10d1524bb58c1819a0cdfffaa1702 | Shell | davidstosik/dotfiles | /modules/010-zsh/.zshrc | UTF-8 | 716 | 3.421875 | 3 | [] | no_license | MYPATH="$(readlink "${HOME}/.zshrc")"
MYDIR="$(dirname "$MYPATH")"
ZSHRC_ORIGINAL="${HOME}/.zshrc_orig"
if [ -f "$ZSHRC_ORIGINAL" ]; then
source "$ZSHRC_ORIGINAL"
fi
# Try to force a UTF-8 locale
if [[ ! "$LANG" == *UTF-8 ]]; then
if locale -a | grep "en_US.UTF-8" >/dev/null; then
export LANG="en_US.UTF-8"
... | true |
d4488df4f436636b44da4daa8cdb8b0502b17d93 | Shell | JinlingTest/repo3 | /test305.sh | UTF-8 | 259 | 2.515625 | 3 | [] | no_license | #!/usr/bin/bash
#
#
fun1()
{
echo 'test fun1'
}
fun2()
{
echo `expr $1 + $2`
}
fun3 ()
{
return
echo `expr $1 + $2`
}
fun4 ()
{
echo `expr $1 + $2`
exit
}
fun5 ()
{
echo `expr $1 + $2`
}
#fun1
#fun2 100 200
#fun3 200 300
#fun4 300 400
#fun3 500 600
| true |
7ba383d5ac89920075d28524213ad0846b5f2a75 | Shell | aiwas/skk-dict-imasml | /build.sh | UTF-8 | 792 | 3.296875 | 3 | [
"CC0-1.0"
] | permissive | #!/bin/bash
# ソート処理
generate (){
# idol name
echo 'Generate idols name dict...'
cat ./src/FIRSTNAME | skkdic-sort > ./SKK-JISYO.imasml.firstname
cat ./src/FULLNAME | skkdic-sort > ./SKK-JISYO.imasml.fullname
echo 'done.'
# actors
echo 'Generate actors dict...'
sed -f ./src/ACTORS.sed ./src/ACTORS | iconv -... | true |
fc9c72ed61eb2f1b49bb116c2d1478142cc196f0 | Shell | kyoh86/richgo | /sample/run.sh | UTF-8 | 661 | 2.640625 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
bin="$(cd -- "$(dirname -- "${BASH_SOURCE:-${(%):-%N}}")"; pwd)"
cd "${bin}/.."
export RICHGO_LOCAL=1
OPTIONS=(test -tags=sample ./sample/... -cover)
echo "===================================== go test ====================================="
\go "${OPTIONS[@]}"
echo ""
echo "========================... | true |
5259bc4aaca0cdf7b09c2f5e13b3640aa7a53e87 | Shell | svn2github/gateworks_openwrt | /trunk/scripts/makedisk | UTF-8 | 599 | 4.0625 | 4 | [] | no_license | #!/bin/sh
#
# Image a block storage device from a tarball of a root filesystem using a
# single ext4 partition.
#
DEV=$1
ROOTFS=$2
[ -b "$DEV" -a -r "$ROOTFS" ] || {
echo "usage: $0 <device> <rootfs-tarball>"
exit 1
}
mounts=$(grep ^$DEV /proc/mounts)
[ $? -eq 0 ] && {
echo "Error: $DEV has mounted partitions:"
... | true |
467498e4366b87613255919159ddb80838f4381b | Shell | hazybluedot/ece2524_test | /bin/gitrepos | UTF-8 | 744 | 3.46875 | 3 | [] | no_license | #!/usr/bin/env bash
while read gitpath; do
git_url=`echo $gitpath | cut -d ' ' -f 1`
git_dir=`echo $gitpath | cut -d ' ' -f 2`
if git clone $git_url $git_dir >/tmp/$$_gitrepos.stdout 2>/tmp/$$_gitrepos.err; then
echo $git_dir
elif [ -d $git_dir ]; then
cd $git_dir
git checkout master 2>/dev/nul... | true |
6bea886d8a5c205ca226cad801f70e8d6258b0d8 | Shell | dosuna/conf | /.bash_profile | UTF-8 | 2,007 | 2.6875 | 3 | [
"Unlicense"
] | permissive | # (http://en.wikipedia.org/wiki/Unicode_symbols)
symbol="λ"
function pause(){
read -p "$*"
}
function precmd() {
MYCMD=$(set -o|grep 'emacs.*on' >/dev/null 2>&1 && echo 'ϵ'|| echo 'υ');
export PS1="[\!][${MYCMD}] \w\n${symbol} » ";
}
export PS2="$(pause 'Press [Enter] key to continue...')"
export PERLBREW_MANPATH="/... | true |
3949997eae9710ee7a70a6ffa8f31aa051e48b12 | Shell | Ruler0421/crawl-cfgov | /postprocessing/test.sh | UTF-8 | 982 | 4.0625 | 4 | [
"CC0-1.0"
] | permissive | #!/usr/bin/env bash
# Test functionality of postprocessing sed scripts.
#
# Example usage:
#
# postprocessing/test.sh
# If a command fails, stop executing this script and return its error code.
set -e
cwd=`dirname "$0"`
sample_input="$cwd/sample-input"
expected_output="$cwd/expected-output"
transform_script="$cwd/tr... | true |
4422c793e6ba796c63aab00626f59676617b6044 | Shell | tomtastic/synchreon | /synchreon | UTF-8 | 1,581 | 3.25 | 3 | [] | no_license | #!/usr/bin/env bash
# 20210923 - trcm - track parcels via synchreon courier
[[ ! -n "$2" ]] && echo "Provide 'Delivery Reference' and 'Order number'!" && exit 1
ORDER="$1"
WEB_ORDER="$2"
# Custom headers
UA='User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/93.0.4577.... | true |
82d19bb77276892210d256608074ff8c99401b04 | Shell | rqren/mit-6-null | /week2/task/Q3myans.sh | UTF-8 | 230 | 2.984375 | 3 | [] | no_license | #!/usr/bin/env bash
Counter=0
while [ $Counter -lt 1000 ]; do
echo the counter is $Counter
let Counter=Counter+1
sh ./Q3totest.sh >> ./Q3result 2>> ./Q3result
if [[ $? -ne 0 ]]; then
Counter >> ./Q3result
break
fi
done
| true |
2d6b434bc84f83aa50038545800febd0edd7f940 | Shell | aiddata/MacArthur | /hansen/get_hansen_for_bbox.sh | UTF-8 | 2,283 | 3.640625 | 4 | [] | no_license | #!/bin/bash
cd "$( dirname "${BASH_SOURCE[0]}" )"
# https://earthenginepartners.appspot.com/science-2013-global-forest/download_v1.2.html
# https://storage.googleapis.com/earthenginepartners-hansen/GFC2015/treecover2000.txt
# region list containing region ids
rlist=(sea sa africa)
# rlist=(sea)
for rid in ${rlist[@... | true |
0eb0f93e97816714be2f211caf74863da464bb98 | Shell | Dan2552/gathering-of-scripts | /macos/wired | UTF-8 | 413 | 3.53125 | 4 | [] | no_license | #!/usr/bin/env bash
ping_func(){
results=$(ping -c 1 -t 1 google.co.uk >/dev/null 2>/dev/null)
return $?
}
check_net() {
networksetup -setairportpower en0 off
ping_func
if [[ $? > 0 ]]; then
echo "internet doesn't seem ok"
sleep 3
check_net
else
echo "internet connection is ok 👍"
fi... | true |
a8f7428e9b599b362689ac152817cf9761a2c120 | Shell | migueljiarr/tefAlexa | /tools/my-script.sh | UTF-8 | 549 | 2.515625 | 3 | [] | no_license | #!/bin/bash
# Sessions.
tmux new-session -s IPLog -n ip -d -c ./tools/
tmux new-session -s tefAlexa -n server -d
# Second window.
tmux new-window -t tefAlexa -n chromium -d
# Second panes.
tmux send-keys -t tefAlexa 'npm start &> out.log' 'C-m'
tmux send-keys -t IPLog './loopIP.sh &> ip.log' 'C-m'
#tmux split-wind... | true |
54932df9bb34a722f6c70f649bf63c11315eb98d | Shell | redpony/cdec | /compound-split/install-data-deps.sh | UTF-8 | 204 | 2.875 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0"
] | permissive | #!/bin/sh
set -e
data_version=csplit-data-01.tar.gz
ROOTDIR=`dirname $0`
cd $ROOTDIR
curl -f http://demo.clab.cs.cmu.edu/cdec/$data_version -o $data_version
tar xzf $data_version
rm -f $data_version
| true |
2b4a9e38f8996d75dfc6e97b7803fa9cde1c269b | Shell | pietropezzi/os-rep | /scripts/Lesson7/countdir/contadirettive.sh | UTF-8 | 110 | 2.828125 | 3 | [] | no_license | #!/bin/bash
for NAME in `find /usr/include/ -type f -name "*.h"` ; do grep '#' ${NAME} ; done | sort | wc -l
| true |
c9b6ba3fa328a57d655afe9b8bc2a0d6bb786928 | Shell | Rishab-Khandelwal/Mini_Block_Chain | /server/spawn_n_servers.sh | UTF-8 | 393 | 3.265625 | 3 | [] | no_license | # Automation script for spawing n servers.
# Final Project CS5600
# Authors: Akshaya Khare, Rishab Khandelwal, Sarita Joshi
# Usage ./spawn_n_servers.sh <No-of-server>
#!/usr/bin/env bash
port=5000
value=$1
#for number in {1..99}
for number in `seq 1 $value`;
do
temp=$(expr $port + $number)
pid=$(lsof -i:$temp ... | true |
052aeded3e0dfde8c859f0bd4b162eaf7669b9ee | Shell | nkoster/yt-subscribers | /yt-subscribers | UTF-8 | 646 | 3.796875 | 4 | [] | no_license | #!/bin/bash
subscribers() {
content=$(wget -q "$1" -O -) && \
channel=$(echo "$content" | grep '<title> ') && \
subscribers=$(echo "$content" | grep abonnees | \
awk -F 'aria-label="' '{print$6}' | awk '{print$1}' | sed 's/\.//g') && \
time=$(date +"%s") && \
echo -e "{\"time\":\"$time\",\... | true |
23c6cdbf6a8f68764188be8fbd1e28e4830bba6d | Shell | datWav/Docker | /baseimages/base/assets/my_init.sh | UTF-8 | 572 | 3.546875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
INIT_SCRIPT=/etc/my_init.d/
for FILE in `ls $INIT_SCRIPT | sort -V` ; do
SCRIPT=$INIT_SCRIPT$FILE
if [ -f $SCRIPT -a -x $SCRIPT ] ; then
echo "Execute script: $FILE"
$SCRIPT
fi
done
trap 'kill -SIGHUP $PID' SIGHUP
trap 'kill -SIGINT $PID' SIGINT
trap 'kill -SIGQUIT $PID' SIGQUIT
trap 'kill ... | true |
482ac2ae74b8b9cfdbf0901d50a1bc208db2cc07 | Shell | BestOpenSourceOrganization/dnscrypt-osxclient | /DNSCrypt-Preference-Pane/DNSCrypt/extra/usr/scripts/handle-console-change.sh | UTF-8 | 643 | 3.265625 | 3 | [
"ISC"
] | permissive | #! /bin/sh
. ./common.inc
eval $(stat -s '/dev/console') || exit 1
logger_debug "OSX console ownership changed"
wanted_uid="$st_uid"
if [ ! -d "$DNSCRYPT_VAR_BASE_DIR" ]; then
mkdir -p "$DNSCRYPT_VAR_BASE_DIR" || exit 1
chown -R 0:0 "$DNSCRYPT_VAR_BASE_DIR"
chmod 755 "$DNSCRYPT_VAR_BASE_DIR"
fi
mkdir -m 755 -... | true |
6ef3bbfd6002794c13cb6c2fe4ea0cb58a383938 | Shell | buildbarn/bb-deployments | /tools/remote-toolchains/extract-bazel-auto-toolchains-fixture/doit.sh | UTF-8 | 504 | 2.875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -eEuxo pipefail
bazel_version="$1"
curl -L -o /bazel "https://github.com/bazelbuild/bazel/releases/download/${bazel_version}/bazel-${bazel_version}-linux-x86_64"
chmod +x /bazel
/bazel query '@local_config_cc//:all + @local_config_cc_toolchains//:all + @local_config_platform//:all + @local_con... | true |
dcece72955e6b021d1e5352fe30c4fe27d9386e7 | Shell | cbarange/popos-conf | /mouse_wheel_speed.sh | UTF-8 | 1,745 | 3.765625 | 4 | [] | no_license | #!/bin/bash
REQUIRED_PKG="imwheel"
PKG_OK=$(dpkg-query -W --showformat='${Status}\n' $REQUIRED_PKG|grep "install ok installed")
echo Checking for $REQUIRED_PKG: $PKG_OK
if [ "" = "$PKG_OK" ]; then
# Install imwheel and configure imwheel for current user
echo "No $REQUIRED_PKG. Setting up $REQUIRED_PKG."
sudo apt-g... | true |
6487efb9bb9fd65bfd73c361fbf4055795c307fe | Shell | delkyd/alfheim_linux-PKGBUILDS | /gdc1-bin/PKGBUILD | UTF-8 | 1,759 | 2.859375 | 3 | [] | no_license | # Contributor: Anntoin Wilkinson <anntoin gmail com>
# Contributor: Shirakawasuna <Shirakawasuna@gmail.com>
# Maintainer: SanskritFritz (gmail)
pkgname=gdc1-bin
pkgver=0.24
pkgrel=11
pkgdesc="Digital Mars D Programing Language (DMD) frontend for GCC."
arch=('i686' 'x86_64')
url="http://dgcc.sourceforge.net/"
license=(... | true |
851e3820eae183932a0ba9766b089fdc9ff87dde | Shell | jjYBdx4IL/example-maven-project-setups | /gwt-example-2/startDev.sh | UTF-8 | 1,562 | 3.515625 | 4 | [] | no_license | #!/bin/bash
# vim:set sw=4 ts=4 et ai smartindent fileformat=unix fileencoding=utf-8 syntax=sh:
#
# Starts and kills gwt dev mode servers while merging their outputs to the current
# console. Needs a recent SCREEN version.
#
# For slow (proper) mode, do: `SLOW=1 ./startDev.sh`
#
# Tested with:
# Screen version 4.06.... | true |
b3eb957520d33aad94c350217f63adc8e7ffead8 | Shell | AlixHar1999/KS_Transcriptome | /03.1_Trinity.sh | UTF-8 | 2,082 | 3.90625 | 4 | [] | no_license | #!/bin/bash
# Define the key directories
PROJROOT=~/KS_transcriptome
readDIR=${PROJROOT}/02_trimmed_data/fastp_30/trimmed_data
readOUT1=${PROJROOT}/03_assembly/trinity_tissue_specific
readOUT2=${PROJROOT}/03_assembly/trinity_all_tissues
# Global parameters
CPU=20
RAM=250G
##---------------------------##
##Check... | true |
bf637b00adc3119aa3154b38a60467065763dd45 | Shell | laptop012/raspberrypi_at_home | /backup/nenujno/arduino/check_data_on_com.sh | UTF-8 | 201 | 2.96875 | 3 | [] | no_license | #!/bin/bash
ps aux | grep ACM | grep -v grep
if [ $? -eq 0 ]; then
echo "Process is running."
exit
else
echo "Process is not running."
rm /tmp/serial
cat /dev/ttyACM0 > /tmp/serial &
exit
fi
| true |
d1fb844802fcfbc3401e9ad5355be4d0823b1766 | Shell | vbarbarosh/codescreens | /src/20190331_233902_shell_bash_vars_exists/shell_bash_vars_exists | UTF-8 | 718 | 3.6875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# http://www.gnu.org/software/bash/manual/bash.html#The-Set-Builtin
# http://redsymbol.net/articles/unofficial-bash-strict-mode/
set -o nounset -o errexit -o pipefail
# https://www.gnu.org/software/bash/manual/bash.html#Shell-Parameter-Expansion
# Check if $FOO is unset
test -z ${FOO+x} && echo FOO is un... | true |
fb6298c4835e074d409b3aeb557907d86c925ba6 | Shell | kgoel9899/Shell_Scripting | /ex/parm | UTF-8 | 199 | 3.25 | 3 | [] | no_license | #!/bin/bash
user=$1
db="/etc/passwd"
[ $# -eq 0 ] && { echo "Usage: $0 userame"; exit 1; }
grep "^$user" $db > /dev/null
retval=$?
[ $retval -eq 0 ] && echo "$user found" || echo "$user not found"
| true |
3972f85c70f8afa26cc496511cc0afc8c5f437b2 | Shell | zildjiean/pfx-extractor-to-crt-key | /extract_pfx.sh | UTF-8 | 2,810 | 4.125 | 4 | [] | no_license | #!/bin/bash
#########################################################################################
#
# Original by https://gist.github.com/mediaupstream/a2694859b1afa59f26be5e8f6fd4806a
# Thank you mediaupstream on github
#
# Modify by Piyapong 07-Nov-2019
# Usage: sh <this_script.sh> PFXcert without extension .pfx
... | true |
f468000bb7f3bb018caa57ab47ac533636ed5f7d | Shell | Jesse-Runner/VirtualMachine | /tests/test.sh | UTF-8 | 301 | 3.28125 | 3 | [] | no_license | #!/bin/bash
ERR=0
INPUTS=`ls *.o`
for f in $INPUTS;
do
../target/release/vm $f > "${f%.o}.student"
if ! diff -q "${f%.o}.student" "${f%.o}.expected" &>/dev/null; then
printf "%-10s %10s\n" $f "ERROR, outputs differ"
ERR=1
else
printf "%-10s %10s\n" $f "passed"
fi
done
exit $ERR
| true |
8e1a7047c684cb67aee5a0a45a290fca5da8c87d | Shell | sandeepgit32/flask_inventory_microservices | /tes.sh | UTF-8 | 181 | 3.328125 | 3 | [] | no_license | if [ $1 = "up" ]
then
echo "Both variables are the same"
elif [ $1 = "down" ]
then
echo "Both variables are different"
else
echo "The argument" $1 "is not recognized"
fi | true |
528c32fbeeff4d5be4ede37dbe9e1dd23a8dc74a | Shell | Brutuski/Dotfiles | /.config/rofi/powermenu.sh | UTF-8 | 343 | 2.890625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
MENU="$(rofi -theme ~/.config/rofi/themes/lighthaus.rasi -sep "|" -dmenu -i -p 'System' -font 'Source Code Pro Medium 12' <<< " Logout| Reboot| Shutdown")"
case "$MENU" in
*Logout) i3lock -i ~/Documents/Chrome-Downloads/Lockscreen.png -p default -n ;;
*Reboot) systemctl reboot ;;
*Shutdown) systemc... | true |
b87845be263f41090fc0efc01d2f19bde5e1d139 | Shell | nnstreamer/TAOS-CI | /ci/taos/plugins-good/pr-prebuild-clang.sh | UTF-8 | 4,281 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
##
# Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.... | true |
651b09ae901a463d59f602183951b0405f575a3d | Shell | leetschau/dsnote | /pub-to-github.sh | UTF-8 | 857 | 3.59375 | 4 | [] | no_license | #!/bin/bash
LocalRepo="/tmp/blogRepo"
BlogHome="$LocalRepo/blogs"
Readme="$LocalRepo/README.md"
source $(dirname "$0")/myconfig
rm -rf $LocalRepo
git clone $BlogURL $LocalRepo
cp $PubBlogPath $BlogHome
for afile in $BlogHome/*; do
modified=$(awk -F ': ' 'FNR==5 {print $2}' $afile) # 5 is MODIFIED_LINE_NO
touch... | true |
924333bf6103b9dd814f6ba731c4c6bdddc3903d | Shell | CLwn/GSX | /gestion_procesos/stopProc.sh | UTF-8 | 1,265 | 3.953125 | 4 | [] | no_license | #!/bin/bash
# Marc García, Miguel Martínez, Nohemí Tomàs
# Date: 05 mar 2020
# Version 0.1
# Para todos los procesos que hayan consumido 3 min de CPU en
# una hora. comando crontab 0 10-20 * * * ./stopProc.sh
#### CODE ####
if [ "$EUID" -ne 0 ] 2> /dev/null; then #Si no se esta ejecutando como root
echo "ERROR: P... | true |
a0f36798cb826cb4d78fce64582522829483714a | Shell | NobbZ/dotfiles | /install.zsh | UTF-8 | 1,216 | 4.25 | 4 | [] | no_license | #!/usr/bin/env zsh
### This script installs all the dotfiles, folders and scripts into the
### appropriate locations.
###
### This script works by copying the files out of intention. It is meant to be
### run on platforms that don't support symlinking. Perhaps there will be added
### an option later on, that recognise... | true |
28d371377f3f92fbd8173992a01398e915001d29 | Shell | dywisor/fischstaebchen | /shellfunc/src/base/12-strutil/20-get_regex_or_expr.sh | UTF-8 | 605 | 3.140625 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | ## Copyright (c) 2014-2015 André Erdmann <dywi@mailerd.de>
##
## Distributed under the terms of the MIT license.
## (See LICENSE.MIT or http://opensource.org/licenses/MIT)
##
## @setf void get_regex_or_expr ( *wordlist, **expr! )
get_regex_or_expr() {
expr=
# shellcheck disable=SC2048
{ set -f; set -- ${*}; s... | true |
ae7599bed0a3fa75270becfd92d7861e23d05932 | Shell | DylanHuang666/rn-ldsg | /tools/logo/change_logo.sh | UTF-8 | 3,049 | 2.828125 | 3 | [] | no_license | #! /bin/sh
##########################################################
# 使用说明,参数说明
# change_logo.sh 项目名
# $1 项目名 例如现在只有 TTT
# sh change_logo.sh TTT
##########################################################
now_path=$(cd $(dirname $0);pwd)
IMAGE_MAGICK_BIN=${now_path}/../ImageMagick/darwin
chmod +x ${IMAGE_MAGI... | true |
9752b599a36e0a2e893e0faabd007426bb254cfd | Shell | mclarkson/nagrestconf | /build/Synology/create_tgz/build-arm/synology/ds-arm/plugins/check_switch_ifs_zeroconf | UTF-8 | 10,219 | 3.53125 | 4 | [] | no_license | #!/bin/bash
# Copyright(C) 2012 Mark Clarkson <mark.clarkson@smorg.co.uk>
#
# This software is provided under the terms of the GNU
# General Public License (GPL), as published at:
# http://www.gnu.org/licenses/gpl.html .
#
# File: check_switch_ifs_zeroconf
# Date: 12 Dec 2012
# Version: 0.12
# Modifi... | true |
736435cf0ac277a97a13fd1b69c5716d1abd83fd | Shell | chumakd/devenv | /devenv | UTF-8 | 7,742 | 4.25 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e -o pipefail
shopt -s expand_aliases
### wrapper to run official Docker containers for programming languages
if (( ${BASH_VERSINFO[0]} < 4 )) ; then
echo "${0##*/}: bash version < 4 is not supported" >&2
echo 'Try installing a modern bash version with either of:' >&2
echo ' brew... | true |
5c7d9f1f8fa54eb647ce8793840d5ce9493545a1 | Shell | paes/GTK_REMD | /OLD/frompuc/noremd/as/ctremd/deprecated/candles_gdt.sh | UTF-8 | 14,358 | 2.9375 | 3 | [] | no_license | #!/bin/bash
#output="ps"
#output="png"
output="pdf"
if [ "$output" == "ps" ]
then
term="postscript enhanced color dashed font \"Times-Roman, 13\""
#term="postscript enhanced color dashed font \"Times-Roman, 14\""
#term="postscript enhanced color dashed "
#term="postscript enhanced color dashed font \"Times-Roma... | true |
a1f9139a2953908abdfc66c3473001aed9fcad1f | Shell | sfu-natlang/pe-compositionality | /glove/run.sh | UTF-8 | 1,366 | 3.265625 | 3 | [] | no_license | #!/bin/bash
mkdir -p output
git clone https://github.com/stanfordnlp/glove
cd glove && make
for SETTING in {,no}variants.prune_{more,less}; do
for VECTOR_SIZE in {16,32,64,128,256}; do
CORPUS=../../data/$SETTING.txt
VOCAB_FILE=vocab.txt
COOCCURRENCE_FILE=cooccurrence.bin
COOCCURRENCE_SHUF_FILE=cooc... | true |
90fda5116ef0e6e01057cdcb1b13a78a889f8549 | Shell | radiantly/dotfiles | /.config/polybar/mic.sh | UTF-8 | 560 | 3.578125 | 4 | [
"MIT"
] | permissive | #!/bin/sh
status() {
echo " $(pamixer --default-source --get-volume-human)"
}
listen() {
status
LANG=EN; pactl subscribe | while read -r event; do
if echo "$event" | grep -q "source" || echo "$event" | grep -q "server"; then
status
fi
done
}
case "$1" in
--toggle)
... | true |
df84baa5baa9418c3ae50448765394076d2795b6 | Shell | mciul/dotfiles | /bashrc | UTF-8 | 2,567 | 3.09375 | 3 | [] | no_license | # detect what kind of system we're running on
platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'FreeBSD' ]]; then
platform='freebsd'
fi
# environment stuff to find things that you might need
LESS=-rXF; export LESS
EDITOR=/usr/bin/vi; export EDITOR
VI... | true |
f7cd01182d604fd3cc79f7334d45f75c4180362f | Shell | ayroblu/terraform-aws-multi-account-blog | /env.sh | UTF-8 | 221 | 3.34375 | 3 | [] | no_license | #!/bin/bash
# https://stackoverflow.com/a/21188136
get_abs_dirname() {
# $1 : relative filename
echo "$(cd "$(dirname "$1")" && pwd)"
}
export AWS_CONFIG_FILE=$(get_abs_dirname "$0")/.aws.conf
echo $AWS_CONFIG_FILE
| true |
6c22e487b95f13a4eee3578b5d83d98b1023331b | Shell | Anaconda-Platform/s2i-anaconda-project | /entrypoints/entrypoint.sh | UTF-8 | 234 | 2.546875 | 3 | [] | no_license | #!/bin/bash
if [ -e /opt/app-root/src/.assembled ]; then
if [[ $1 == "/usr/libexec/s2i/run" ]]; then
exec tini -g -- "$@"
else
exec tini -g -- anaconda-project run "$@"
fi
else
exec tini -g -- "$@"
fi
| true |
8755fc0d44527fe11689fb3f253d55190ecd2010 | Shell | dmg9626/ANIM211 | /Thomas_Train_Jump/images/render_video.sh | UTF-8 | 778 | 3.53125 | 4 | [] | no_license | # mode 1:
# expects all frames to be in folders with naming convention: shot_*/
# mode 2:
# expects all frame to be in folder: batch_rendercam/
# default video name: output.mp4
# check args for video name
if [ -z $1 ]; then
video_name="output"
else
video_name=$1
fi
echo "creating video: $video_name"
# copy all fr... | true |
ddea7417df5063951acf2030b900fabdf350c475 | Shell | phrocker/sharkbite | /test/19x/st/src/main/bin/config-sample.sh | UTF-8 | 223 | 2.609375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
DIR="$( cd "$(dirname "$0")" && pwd )"
source $DIR/sample-env.sh
ACCUMULO_LIB_DIR=/smac-bin/lib
do_work() {
echo "Doing some work"
# how do you create a user or add auths?
}
echo Setting up sample
do_work | true |
1f2499dd60261974cd39f81a2f4f5ef9aa8fa334 | Shell | pborenstein/track | /track | UTF-8 | 267 | 3.390625 | 3 | [] | no_license | #! /usr/bin/env bash
TRACKDIR=$HOME/.track
mkdir -p $TRACKDIR
FILENAME=$(date "+%Y-%m-%d").txt
TRACKFILE=$TRACKDIR/$FILENAME
touch ${TRACKFILE}
TIME=$(date "+%H:%M")
if $(grep -q $TIME $TRACKFILE) ; then
TIME=' '
fi
echo "${TIME} " ${*} >> $TRACKFILE
| true |
4daa4702d5b34d61ecdd6dac72926a7d76e18368 | Shell | ceremcem/chibios-configurator | /uidev.service | UTF-8 | 596 | 2.71875 | 3 | [] | no_license | #!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
HEADLESS=false
. $DIR/scada.js/tools/service-runner/tmux-launch
sname=$(calc-session-name "$0")
cd $DIR
launch-service $sname
# Virtual Environment support
. $DIR/scada.js/venv
tmux setenv -t $sname 'VIRTUAL_ENV' $SCADAJS_VENV
# run commands in tmux... | true |
2caa29fe9a490bd0df7a9424cd3124426cae986a | Shell | pbahr/Custom-Scanners | /JDBC_Scanner/packaged/scanDenodo.sh | UTF-8 | 260 | 2.875 | 3 | [] | no_license | #!/bin/bash
if [ $# -eq 0 ]
then
echo
echo "denodoScanner.sh [propertyFile]"
exit 0
fi
propfile=$1
# call the model linker
java -cp "denodoCustomScanner.jar:lib/*" com.infa.edc.scanner.jdbc.DenodoScanner ${propfile} $2
#complete
echo 'Finished'
| true |
1310f9e7403df412b535dcec881b73377f2a3930 | Shell | containers/podman | /test/apiv2/22-stop.at | UTF-8 | 1,130 | 2.609375 | 3 | [
"Apache-2.0"
] | permissive | # -*- sh -*-
#
# test 'stop' endpoints
#
podman pull $IMAGE &>/dev/null
# stop, by name
podman run -dt --name mytop $IMAGE top &>/dev/null
t GET libpod/containers/mytop/json 200 .State.Status=running
t POST libpod/containers/mytop/stop 204
t GET libpod/containers/mytop/json 200 .State.Status~\\\(exited\\\|stopped\... | true |
a6c2bc6195a720e7c754549f63041579e592a804 | Shell | StudioEtrange/docker-sickrage | /update.sh | UTF-8 | 9,965 | 3.453125 | 3 | [] | no_license | #!/bin/bash
set -e
_CURRENT_FILE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$_CURRENT_FILE_DIR"
# PARAMETERS ----------------------------
GITHUB_REPO="SiCKRAGETV/SickRage"
# remove this string to version name (ex : with 'build' value, 'build507' becomes '507')
FILTER_VERSION_NAME="v"
VERSION_SEPARAT... | true |
c613fe4c0d02d136f9195c194e4932ba5234855d | Shell | Rochii/local-search-sat | /race/to.run.sh | UTF-8 | 248 | 2.828125 | 3 | [] | no_license | BENCHMARKS="bench"
CONTESTANTS=solvers/*.py
for bench in $BENCHMARKS
do
echo "###" $bench "###"
for file in $CONTESTANTS
do
echo "###"
echo $file
./race-complete.py instances/$bench/ $file
echo "###"
done
done
| true |
97d3d2366d320dddd2be6f02e5f661c406f98a14 | Shell | restinpeacecc/brew-link-error-fixer | /BLEF.sh | UTF-8 | 685 | 3.5 | 4 | [] | no_license | #!/bin/bash
#Create by R.I.P_C on 2018/05/27
echo "Brew link error fixer v1.3.1"
echo "by R.I.P_C"
echo -e "\033[32m---------------------------------------\033[0m"
echo -e "\033[31m$LOGNAME\033[0m at"
date
echo -e "\033[32m---------------------------------------\033[0m"
read -p "Input DIR PATH: " dir
if [ -d $dir ];t... | true |
13e3b1096bf0d3dfce93d25d8e3e440cb3e8e861 | Shell | ryanwoodsmall/kernel-rpm | /scripts/buildkernel.sh | UTF-8 | 219 | 2.765625 | 3 | [] | no_license | #!/bin/bash
if [ -e /tmp/kernelbuild.out ] ; then
tail -5 /tmp/kernelbuild.out
rm -f /tmp/kernelbuild.out
fi
date
( time ( rpmbuild -ba --clean ${HOME}/rpmbuild/SPECS/kernel.spec ) ) >/tmp/kernelbuild.out 2>&1
date
| true |
4ec5d1cd1a0e08af861fe41a46a98704ae5ba421 | Shell | zerodayz/scriptz | /kubernetes/nfs-server-prepare.sh | UTF-8 | 255 | 2.578125 | 3 | [] | no_license | #!/bin/bash
yum -y install nfs-utils
# prepare disk
# fdisk /dev/sdb
# mkfs.ext4 /dev/sdb1
mkdir /mnt/disks
mount /dev/sdb1 /mnt/disks
cd /mnt/disks
for i in `seq 1 10`; do mkdir vol$i; done
echo "/mnt/disks *(insecure,rw)" >> /etc/exports
exportfs -arv
| true |
0e4ea47477ae8a0d84acca816f99cc66bd9257ec | Shell | openownership/data-standard-sphinx-theme | /vagrant/bootstrap.sh | UTF-8 | 700 | 2.59375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -e
apt-get update
DEBIAN_FRONTEND=noninteractive apt-get install -y python3 python3-pip python3-venv apache2 build-essential ruby-dev
mkdir -p /out
chown -R vagrant:users /out
pip3 install lxml html5lib gevent cchardet
pip3 install pylinkvalidator
cp /vagrant/vagrant/apache.conf /etc/apache2/sites-... | true |
4f4003e0f0a0bafbd0306d625d84b7a3df386ae0 | Shell | CesarLiu/apollo | /docker/build/installers/install_migraphx.sh | UTF-8 | 1,805 | 3.515625 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
###############################################################################
# Copyright 2020 The Apollo Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of... | true |
992d5dbf341f20776d7e8c9cb64af1c04df34daa | Shell | intel/retail-node-installer | /scripts/pxemenuutils.sh | UTF-8 | 2,115 | 3.953125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Copyright (C) 2019 Intel Corporation
# SPDX-License-Identifier: BSD-3-Clause
# This file is intended to contain functions that assist with the management
# of the PXE boot menu.
# If running this file alone, uncomment these lines:
# source "fileutils.sh"
# source "textutils.sh"
genPxeMenuHead() {
... | true |
6991aeb5025b9908974f22f2432434fbeb0188e0 | Shell | wangyi0559/chainEvalScript | /fabricExample124/fabric_start.sh | UTF-8 | 3,352 | 2.625 | 3 | [] | no_license | #!/bin/sh
# author:wang yi
PEER_INDEX=$1
IP_ORDERER=$2
IP_CA1=$3
IP_CA2=$4
IP_P0O1=$5
IP_P1O1=$6
IP_P0O2=$7
IP_P1O2=$8
echo $PEER_INDEX > /chain/PEER_INDEX
echo $IP_ORDERER > /chain/IP_ORDERER
echo $IP_CA1 > /chain/IP_CA1
echo $IP_CA2 > /chain/IP_CA2
echo $IP_P0O1 > /chain/IP_P0O1
echo $IP_P1O1 > /chain/IP_P1O1
echo $... | true |
a9c0c391a1effaccd2ffefca6b6f6c2a9cbfdd03 | Shell | sujitbidawe/elseIf | /nameOfDigit.sh | UTF-8 | 638 | 3.40625 | 3 | [] | no_license | #! /bin/bash
read -p "enter a power of 10: " number
if [[ $number -eq 1 ]]
then
echo unit
elif [[ $number -eq 10 ]]
then
echo ten
elif [[ $number -eq 100 ]]
then
echo hundred
elif [[ $number -eq 1000 ]]
then
echo thousand
elif [[ $number -eq 10000 ]]
then
echo ten thousand
elif [[ $number -eq 100000 ]]
then... | true |
0152d4d8d0e66dd3cc30d802c87c477ac45dc040 | Shell | Alexandre-Silva/ADM | /matchers/arrays.sh | UTF-8 | 357 | 3.4375 | 3 | [
"MIT"
] | permissive | arrayeq() {
# if the number of args is impar, then the two arras can't possibly have the
# same number of elements
assert equal 0 $(( $# % 2 ))
local ai=0
local bi=$(($# / 2 ))
local args=( "$@" )
while (( bi < $# )); do
assert equal "${args[$ai]}" "${args[$bi]}"
(( ai += 1... | true |
0429b5cb80ec6b5de00302f6646412b26c9694c7 | Shell | ArnoMLT/Monitoring | /Centreon/local/usr/lib/nagios/itbs/new_host/new_host_ack.sh | UTF-8 | 4,460 | 3.546875 | 4 | [] | no_license | #!/bin/sh
# MLT
# 08/05/2018
# Lance les actions de nettoyage suite a la reception du ack
# Pour le nouveau host cree automatiquement dans Centreon
# $1 HOST_ID
# Chargement de la config globale
source "/usr/lib/nagios/plugins/itbs/etc/config.cfg"
now=`date +%s`
logfile="/tmp/${now}_ack.log"
# chemins sur le ... | true |
7be446e436340c737dd4937907e2f442da6d9931 | Shell | sidohaakma/NGS_DNA | /protocols/SnpFiltration.sh | UTF-8 | 1,339 | 2.71875 | 3 | [
"MIT"
] | permissive | #MOLGENIS walltime=05:59:00 mem=10gb
#Parameter mapping
#string tmpName
#string stage
#string checkStage
#string gatkVersion
#string gatkJar
#string tempDir
#string intermediateDir
#string indexFile
#string projectVariantsMergedSnpsVcf
#string projectVariantsMergedSnpsFilteredVcf
#string tmpDataDir
#string project
#st... | true |
c10a8934520fa45351b29f079fb8211a7ae64941 | Shell | BlenderCN-Org/morphosource-vagrant | /install_scripts/blender.sh | UTF-8 | 961 | 3.359375 | 3 | [] | no_license | #!/bin/sh
SHARED_DIR=$1
if [ -f "$SHARED_DIR/install_scripts/config" ]; then
. $SHARED_DIR/install_scripts/config
fi
if [ ! -d blender ]; then
DOWNLOAD_URL="https://download.blender.org/release/Blender2.79/blender-2.79b-linux-glibc219-x86_64.tar.bz2"
cd $DOWNLOAD_DIR
if [ ! -f "blender.tar.bz2" ]; then
e... | true |
2d72bd05edb01451cb37feb9796cb26c2435041d | Shell | wildknaap/slobberbok | /monitor.dir.sh | UTF-8 | 282 | 2.859375 | 3 | [] | no_license | #!/bin/bash
#
# run in screen session
PATH="<path>"
EMAIL="<email>"
TIME=`/bin/date +%R`
HOST="<host>"
/usr/bin/inotifywait -m $PATH -e create |
while read path action file
do
/bin/echo "[$HOST] $FILE at $TIME" |/usr/bin/mail -s "[$HOST] $FILE at $TIME" $EMAIL
done
#EOF
| true |
f955a95738a1c177f4a05ab689d12c60d4e1f9b4 | Shell | ustc-bmec/Whole-Brain-Conv | /ScriptsForWangEtAl2019/Step3_Plots/allsub_getGradsSurfS4 | UTF-8 | 2,464 | 3.28125 | 3 | [] | no_license | #!/bin/bash
# sub-script of allsubjects, get 2mm smoothed surface of CohenD effect of gradients for each task
if [ $# \> 0 ]
then # data/output folder inputted
dir_data=$1
dir_out=$1
else
dir_main=/home/gululu/Disks/DataMore/Data2017/ProjBoldNN/Analysis_ForAll_0510
dir_data=$dir_main/MaxGradients
d... | true |
0dbe32dc682f76b88115ff8cf77ff02b79e25cf4 | Shell | julienbenjamin/administration-scripts | /debian-enable-contrib-and-non-free-repositories.sh | UTF-8 | 1,633 | 4.125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Script to create a new "sources.list" to
# enable contrib and non-free repositories
DEBIAN_RELEASE=`cat /etc/*-release 2> /dev/null | grep PRETTY_NAME | awk -F "=" {'print $2'} | awk -F "(" {'print $2'} | awk -F ")" {'print $1'}`
SOURCES_FILE="/etc/apt/sources.list"
MIRROR_URL="http://httpredir.debian.or... | true |
0385c7785e3b4f94d7bddf9677b412dc067ebeb6 | Shell | dyne/dynebolic | /dyneIII/live-init-scripts/scripts/live-bottom/41apt_cdrom | UTF-8 | 380 | 3.28125 | 3 | [] | no_license | #!/bin/sh
#set -e
# initramfs-tools header
PREREQ=""
prereqs()
{
echo "${PREREQ}"
}
case "${1}" in
prereqs)
prereqs
exit 0
;;
esac
# live-initramfs header
if [ -n "${NOAPTCDROM}" ]
then
exit 0
fi
. /scripts/live-functions
log_begin_msg "Adding APT-CDROM source"
# live-initramfs script
if [ -d /root/... | true |
aa12ef0f2351452d007a3bbe67594f35c392ded7 | Shell | callowaylc/sh | /json.sh | UTF-8 | 468 | 3.328125 | 3 | [] | no_license | #!/bin/bash
set -euo pipefail
! set -o errtrace 2>/dev/null
[[ "${JSON_SOURCED:-}" = "true" ]] && return 0
## constants ####################################
JSON_SOURCED=true
## properties ###################################
## functions ####################################
function keys {
# writes comma delimi... | true |
df480c9ee50a9e545eebd6ae438d25abf7f78637 | Shell | flosommerfeld/Debian-Inbetriebnahme | /setup.sh | UTF-8 | 4,891 | 3.234375 | 3 | [] | no_license | #!/bin/bash
# Info: Dieses Skript dient zur Einrichtung von Debian Systemen.
# Letztes Veränderungsdatum: 04.10.19
# Author: Florian Sommerfeld
# Getestet unter (Augabe von uname -a): Linux debianPc 4.19.0-6-amd64 #1 SMP Debian 4.19.67-2+deb10u1 (2019-09-20) x86_64 GNU/Linux ----- Debian 10!
# Hinweis: Im Idealfall di... | true |
5a9af4e65eb90ea3cb5d3dcb4ce66890a49be17b | Shell | manoharramarao/bashScripts | /archive_logs/archive_logs.sh | UTF-8 | 632 | 3.78125 | 4 | [] | no_license | #!/bin/bash
# ------------------------------------------------------------------------------
# Usage:sh archive_logs.sh
# Desc: Creates zip archive of all the files in the present working directory.
# execute this script from the directory where there are files to be archived
# -----------------------------------------... | true |
f0e776a67a2e72e24485accb74d868ade914d800 | Shell | eamoany/serverstatsreport | /stats.sh | UTF-8 | 4,251 | 3.171875 | 3 | [] | no_license | #!/bin/bash
date2=$(date +"%d-%m-%Y")
DOW=$(date +"%A")
header(){
echo '<!DOCTYPE html>'
echo '<html>'
echo '<head>'
echo '<title>Server Stats Report</title>'
echo '<link rel="icon" href="logo.png">'
echo "<link href="bootstrap/css/bootstrap.css" rel="stylesheet... | true |
8c7e0202a34e3524a5def8a76a367cfaf8cd83d6 | Shell | brahmapoutras/dotfiles | /initramfs_scripts/mnt/initramfs-tools/scripts/init-premount/b_nslookup | UTF-8 | 337 | 3.40625 | 3 | [] | no_license | #!/bin/sh
PREREQ=""
prereqs()
{
echo "$PREREQ"
}
case $1 in
prereqs)
prereqs
exit 0
;;
esac
. /scripts/functions
if [ ! -x "/sbin/nslookup" ]; then
log_failure_msg "Nslookup not found"
exit 0
fi
configure_networking
echo "Trying nslookups"
nslookup 1.1.1.1
nslookup 8.8.8.8
nslookup 9.9.9.9
nsl... | true |
5c638fb4eab887be1ae789e7e7bd9dc75cd6f565 | Shell | tjdevries/neovim | /.ci/after_success.sh | UTF-8 | 214 | 2.921875 | 3 | [
"Apache-2.0",
"MIT",
"Vim",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
set -e
set -o pipefail
if [[ -n "${CI_TARGET}" ]]; then
exit
fi
[ "$USE_GCOV" = on ] && { coveralls --gcov "$(which "${GCOV}")" --encoding iso-8859-1 || echo 'coveralls upload failed.' ; }
| true |
63db28f5394e76ad24038dea1e3268494c5d91f4 | Shell | cms-sw/cmssw | /DQM/SiStripMonitorCluster/test/batch_mtcc.sh | UTF-8 | 22,028 | 3.84375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#dkcira - 2006.08.20, add more flexibility, change to options instead of add more flexibility, positional parameters
###############################################################################################################
# users can change this to their default directory that will overwrite command ... | true |
04975c142c5adacbc69d00b48285188a238a64ac | Shell | suvayu/LHCbVeloView | /sourceme.sh | UTF-8 | 685 | 3.1875 | 3 | [] | no_license | #!/bin/sh
# set -o xtrace
# FIXME: Only bash stuff here; should add zsh and other popular shells
# (except C-shells, do not use them!)
[[ $0 == sourceme.bash ]] && {
echo "This script should be sourced, not executed.";
exit -1;
}
# find project directory
projdir=$(readlink -f ${BASH_SOURCE})
projdir=${projd... | true |
3bd785374e061f4969d02b55b3b9a53b508a6ff2 | Shell | stephenfowler/dotfiles | /setup-windows-vm.sh | UTF-8 | 1,615 | 3.671875 | 4 | [] | no_license | #!/bin/bash
set -e
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
echo "Setting up windows VM"
PATH_TO_VAGRANT_BOX="/Users/$SUDO_USER/src/dev_ppm"
DEV_VMX=`find $PATH_TO_VAGRANT_BOX -name '*.vmx'`
if [[ -z "$DEV_VMX" ]]; then
echo "Vagrant box not found, setting up vagrant box..."
#SUDO_USER ... | true |
f0639783ea1cc0ec63328e5a370d1031278e0593 | Shell | xiaohesen/imagebuilder | /imagebuilder/3.0/openwrt-imagebuilder-ramips-mt7620/build_dir/target-mipsel_24kc_musl/root.orig-ramips/etc/init.d/glqos | UTF-8 | 3,915 | 2.875 | 3 | [] | no_license | #!/bin/sh /etc/rc.common
. /lib/functions.sh
. /lib/functions/network.sh
START=60
USE_PROCD=1
#delete rule
delete_rule()
{
iptables -t mangle -D PREROUTING -j QOS_UP
iptables -t mangle -F QOS_UP
iptables -t mangle -X QOS_UP
tc qdisc del dev $WANIFACE root
tc qdisc del dev $LANIFACE root
}
#add rule
add_rule()... | true |
9f8efb936a16ce226d1ca29cc07d7786ecb81cba | Shell | AndreiGolovatskii/sportprog | /lksh2018&POST/2018-july-A-small-archive/courses/examples/colors.sh | UTF-8 | 298 | 3.09375 | 3 | [] | no_license | #echo -en "\033[37;1;41m Readme \033[0m"
function comment {
echo -ne "\033[32;2;40m"$1" \033[0m"
}
function comment_important {
echo -ne "\033[32;1;40m"$1" \033[0m"
}
function error {
echo -e "\033[37;1;41m $1 \033[0m"
}
comment aaaaaaaa
comment_important aaaaaaaaa
error aaaaaaaaaaaaaa
| true |
1936051f08f7accde4e45781c8822511c290bd5b | Shell | elastic-bpm/elastic-kickstart | /start_test.sh | UTF-8 | 921 | 3.03125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo Waiting for API to be ready
until $(curl --output /dev/null --silent --head --fail localhost:8080/api/running); do
printf '.'
sleep 5
done
echo Sleeping 5 minutes for machines to settle down
sleep 60
echo 1
sleep 60
echo 2
sleep 60
echo 3
sleep 60
echo 4
sleep 60
echo DONE!
echo Sending run c... | true |
10d7caf77a8f79ebb3da7dd110955d2c1f04d21b | Shell | henriquemoody/config.bash | /tests/read.bats | UTF-8 | 1,253 | 3.3125 | 3 | [] | no_license | #!/usr/bin/env bats
load ../source
setup()
{
cat > "${BATS_TMPDIR}/config.conf" <<EOF
Key1 ThisIsTheValue1
Key2 ThisIsTheValue2
Key-3 ThisIsTheValue3
Key_4 ThisIsTheValue4
Key5 This Is The Value 5
Key6 This Is The Value 6
# Comments Are Cool
Key6 ThisIsTheOtherValue6
EOF
}
teardown()
{
rm "${BATS_TMPDIR}... | true |
d3feb987be6c4540b8b19f48a59149f25a619a8c | Shell | mfabian-na-at/intro.pipeline | /miscript.sh | UTF-8 | 490 | 3.203125 | 3 | [] | no_license | #!/bin/sh
# A simple script with a function
add_a_user(){
USER=$1
PASSWORD=$2
shift:shift
#Having a good time
COMMENTS=$@
echo "Adding user $USER ..."
echo useradd -c "$COMMENTS" $USER
echo passwd $USER $PASSWORD
echo "Added user" user $USER ($COMMENTS) with pass $PASSWORD
}
###
#Cu... | true |
cd06fb2ceb6c561df8d2a3a683b88b8800753e36 | Shell | martong/dotfiles | /home/.zshrc | UTF-8 | 7,770 | 3.15625 | 3 | [] | no_license | # FIX FOR OH MY ZSH GIT PROMPT SLOWNESS
# http://marc-abramowitz.com/archives/2012/04/10/fix-for-oh-my-zsh-git-svn-prompt-slowness/
function git_prompt_info2() {
if [ -n "$NO_GITSTATUS" ]; then
ref=$(git symbolic-ref HEAD 2> /dev/null) || return
echo "$ZSH_THEME_GIT_PROMPT_PREFIX${ref#refs/heads/}$ZSH_THEME_GIT_PR... | true |
aec7b02dc6f44bba5db316a66cd37704a38a7376 | Shell | pkumargit/FilteredEventTrackingFile | /scripts/tst/c360-mdm-crosswalk-AARP.sh | UTF-8 | 8,140 | 3.0625 | 3 | [] | no_license | #!/bin/sh
#./home/ohcbddev/.profile
#export MAPR_TICKETFILE_LOCATION=/opt/mapr/tickets/maprticket_ohcbddev
user=$(whoami)
. /home/$user/.profile
export MAPR_TICKETFILE_LOCATION=/opt/mapr/tickets/maprticket_$user
#. /home/fstaladt/.profile
#export MAPR_TICKETFILE_LOCATION=/opt/mapr/tickets/maprticket_fstaladt
#####... | true |
680b93815d33282dd525db007d44fc06ff28c706 | Shell | jkeroes/dotphiles | /git/hooks/cookbooks-pre-commit | UTF-8 | 1,938 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Because I was having trouble getting trap to play nicely with any signal except
# EXIT we just carry around our status and exit with it at the end
status=0
cookbook_name=`grep url .git/config |awk -F "cookbooks/" '{print $2}'`
function knife_test() {
local grep_code=0
echo "Testing Cookbook ($co... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.